/*Система отелей*/
/*
HotelInfo - максимальное кол-во отелей (в файле var.inc)
HotelsToLoad - кол-во отелей, загружаемых из файла (3 цифра в stuff.ini)
*/

/*Система домов*/
/*
HouseInfo - максимально допустимое кол-во домов (в файле var.inc), если кол-во используемых домов (2 цифра в файле stuff.ini) больше или равно этому значению - /addhouse будет ругаться
Найди GetPlayerHouseInterior и SetPlayerHouseInterior, там расписал как делать интерьеры, если не разберешься - стукни.

В файлах с домами, HouseInterior - это "свой" интерьер, когда пересохранишь все текущие дома с новым модом (/savestuff)
в каждом файле это значение будет пустое, пока ты его не заменишь на один из тех которые создашь - дом не будет нормально работать
------------------------------------------------------------------------------------------
Старое
В папке scriptfiles создаешь папку houses, в HouseInfo ставишь нужное тебе кол-во домов.
Запускаешь сервер, прописываешь команду /savestuff (админ 10 ЛВЛа)
Заходишь в папку houses и редактируешь файлы с домами.
*/
forward SetPlayerHouseInterior(playerid,interiorid);//Устанавливает интерьер дома
forward LoadHouses();//Загружает все дома
forward SaveHouse(houseid);//Сохраняет ОДИН дом, если нужно сохранить все, houseid должен быть -1
forward LoadHotels();//Загружает все отели
forward SaveHotel(hotelid);//Сохраняет ОДИН отель, если нужно сохранить все, hotelid должен быть -1
stock GetMFreeLetterSlot(houseid)//Возвращает свободный слот для писем в почтовом ящике
{
	for(new i = 0; i < MAX_MAILBOX_LETTERS; i ++)
	{
	    if(HouseNewLetters[houseid][i] == 0)
	    return i;
	}
	return -1;
}
stock GetHFreeLetterSlot(houseid)//Возвращает свободный слот для писем в доме
{
	for(new i = 0; i < MAX_HOUSE_LETTERS; i ++)
	{
	    if(HouseOldLetters[houseid][i] == 0)
	    return i;
	}
	return -1;
}
stock GetPlayerHouseMailBox(playerid)
{
	for(new i = 0; i < HousesToLoad; i ++)
	{
	    if(IsPlayerInRangeOfPoint(playerid,2.5,HouseInfo[i][hMailBox_x],HouseInfo[i][hMailBox_y],HouseInfo[i][hMailBox_z]))
	    return i;
	}
	return -1;
}
public SetPlayerHouseInterior(playerid,interiorid)
{
	if(interiorid == 0)
	{
	    SetPlayerInterior(playerid,2);
	    SetPlayerPos(playerid,2468.3701,-1698.1267,1013.5078);
	    SetPlayerFacingAngle(playerid,87.0940);
	}
	else if(interiorid == 1)
	{
	    SetPlayerInterior(playerid,3);
	    SetPlayerPos(playerid,2495.9368,-1692.6628,1014.7422);
	    SetPlayerFacingAngle(playerid,182.3483);

	}
	else if(interiorid == 2)
	{
	    SetPlayerInterior(playerid,5);
	    SetPlayerPos(playerid,2233.8728,-1114.5892,1050.8828);
	    SetPlayerFacingAngle(playerid,2.7833);
	}
	else if(interiorid == 3)
	{
	    SetPlayerInterior(playerid,6);
	    SetPlayerPos(playerid,2196.2932,-1204.2164,1049.0234);
	    SetPlayerFacingAngle(playerid,92.0841);
	}
	else if(interiorid == 4)
	{
	    SetPlayerInterior(playerid,9);
	    SetPlayerPos(playerid,2318.0532,-1026.1620,1050.2109);
	    SetPlayerFacingAngle(playerid,4.3733);
	}
 	else if(interiorid == 5)
	{
	    SetPlayerInterior(playerid,10);
	    SetPlayerPos(playerid,2259.8894,-1135.5386,1050.6328);
	    SetPlayerFacingAngle(playerid,274.7826);
	}
	else if(interiorid == 6)
	{
	    SetPlayerInterior(playerid,8);
	    SetPlayerPos(playerid,2365.0913,-1134.9622,1050.8750);
	    SetPlayerFacingAngle(playerid,357.8401);
	}
	else if(interiorid == 7)
	{
	    SetPlayerInterior(playerid,11);
	    SetPlayerPos(playerid,2283.4558,-1139.5868,1050.8984);
	    SetPlayerFacingAngle(playerid,2.2268);
	}
	else if(interiorid == 8)
	{
	    SetPlayerInterior(playerid,1);
	    SetPlayerPos(playerid,2217.5801,-1075.7186,1050.4844);
	    SetPlayerFacingAngle(playerid,91.8410);
	}
	else if(interiorid == 9)
	{
	    SetPlayerInterior(playerid,1);
	    SetPlayerPos(playerid,244.2633,305.1776,999.1484);
	    SetPlayerFacingAngle(playerid,275.4327);
	}
	else if(interiorid == 10)
	{
	    SetPlayerInterior(playerid,2);
	    SetPlayerPos(playerid,267.0089,304.9504,999.1484);
	    SetPlayerFacingAngle(playerid,264.1527);
	}
	else if(interiorid == 11)
	{
	    SetPlayerInterior(playerid,3);
	    SetPlayerPos(playerid,235.4259,1187.1754,1080.2578);
	    SetPlayerFacingAngle(playerid,356.9470);
	}
	else if(interiorid == 12)
	{
	    SetPlayerInterior(playerid,2);
	    SetPlayerPos(playerid,226.3336,1240.0363,1082.1406);
	    SetPlayerFacingAngle(playerid,93.1412);
	}
	else if(interiorid == 13)
	{
	    SetPlayerInterior(playerid,1);
	    SetPlayerPos(playerid,223.3103,1287.3929,1082.1406);
	    SetPlayerFacingAngle(playerid,357.8870);
	}
	else if(interiorid == 14)
	{
	    SetPlayerInterior(playerid,5);
	    SetPlayerPos(playerid,226.7142,1114.3087,1080.9951);
	    SetPlayerFacingAngle(playerid,264.2462);
 	}
	else if(interiorid == 15)
	{
	    SetPlayerInterior(playerid,15);
	    SetPlayerPos(playerid,295.5774,1472.6558,1080.2578);
	    SetPlayerFacingAngle(playerid,0.1271);
	}
	else if(interiorid == 16)
	{
	    SetPlayerInterior(playerid,4);
	    SetPlayerPos(playerid,260.8918,1284.7347,1080.2578);
	    SetPlayerFacingAngle(playerid,354.3465);
	}
	else if(interiorid == 17)
	{
	    SetPlayerInterior(playerid,10);
	    SetPlayerPos(playerid,24.3465,1340.5371,1084.3750);
	    SetPlayerFacingAngle(playerid,4.0598);
	}
	else if(interiorid == 18)
	{
	    SetPlayerInterior(playerid,4);
	    SetPlayerPos(playerid,-260.9048,1456.7821,1084.3672);
	    SetPlayerFacingAngle(playerid,96.1806);
	}
	else if(interiorid == 19)
	{
	    SetPlayerInterior(playerid,5);
	    SetPlayerPos(playerid,140.3034,1366.3802,1083.8594);
	    SetPlayerFacingAngle(playerid,355.5997);
	}
	else if(interiorid == 20)
	{
	    SetPlayerInterior(playerid,6);
	    SetPlayerPos(playerid,-69.0937,1351.6519,1080.2109);
	    SetPlayerFacingAngle(playerid,359.0464);
	}
	else if(interiorid == 21)
	{
	    SetPlayerInterior(playerid,15);
	    SetPlayerPos(playerid,-284.1492,1470.7615,1084.3750);
	    SetPlayerFacingAngle(playerid,86.1539);
	}
	else if(interiorid == 22)
	{
	    SetPlayerInterior(playerid,8);
	    SetPlayerPos(playerid,-42.6183,1405.8876,1084.4297);
	    SetPlayerFacingAngle(playerid,0.0098);
	}
	else if(interiorid == 23)
	{
	    SetPlayerInterior(playerid,9);
	    SetPlayerPos(playerid,83.1937,1322.6996,1083.8662);
	    SetPlayerFacingAngle(playerid,356.5630);
	}
	else if(interiorid == 24)
	{
	    SetPlayerInterior(playerid,9);
	    SetPlayerPos(playerid,260.6850,1237.5959,1084.2578);
	    SetPlayerFacingAngle(playerid,349.7164);
	}
	//Интерьеры-объекты без объектов
	else if(interiorid == 25)
	{
	    SetPlayerInterior(playerid,101);
	    SetPlayerPos(playerid,92.5492,114.6084,197.2188);
	    SetPlayerFacingAngle(playerid,281.7228);
	}
	else if(interiorid == 26)
	{
	    SetPlayerInterior(playerid,102);
	    SetPlayerPos(playerid,101.9485,107.1089,201.0078);
	    SetPlayerFacingAngle(playerid,176.4418);
	}
	else if(interiorid == 27)
	{
	    SetPlayerInterior(playerid,103);
	    SetPlayerPos(playerid,98.7605,99.8216,199.1470);
	    SetPlayerFacingAngle(playerid,16.5187);
	}
	else if(interiorid == 28)
	{
	    SetPlayerInterior(playerid,104);
	    SetPlayerPos(playerid,105.8511,101.7744,196.3750);
	    SetPlayerFacingAngle(playerid,160.6768);
	}
	else if(interiorid == 29)//Не рабочий
	{
	    SetPlayerInterior(playerid,105);
	    SetPlayerPos(playerid,260.6850,1237.5959,1084.2578);
	    SetPlayerFacingAngle(playerid,349.7164);
	}
	else if(interiorid == 30)
	{
	    SetPlayerInterior(playerid,106);
	    SetPlayerPos(playerid,103.1474,93.3198,199.4297);
	    SetPlayerFacingAngle(playerid,358.3404);
	}
	else if(interiorid == 31)
	{
	    SetPlayerInterior(playerid,107);
	    SetPlayerPos(playerid,105.1231,93.8668,199.2031);
	    SetPlayerFacingAngle(playerid,3.2604);
	}
	else if(interiorid == 32)
	{
	    SetPlayerInterior(playerid,108);
	    SetPlayerPos(playerid,100.0235,96.7729,199.5000);
	    SetPlayerFacingAngle(playerid,6.6837);
	}
	else if(interiorid == 33)
	{
	    SetPlayerInterior(playerid,109);
	    SetPlayerPos(playerid,99.6681,89.3366,198.9410);
	    SetPlayerFacingAngle(playerid,359.4770);
	}
	else if(interiorid == 34)
	{
	    SetPlayerInterior(playerid,110);
	    SetPlayerPos(playerid,102.5989,86.9171,196.7031);
	    SetPlayerFacingAngle(playerid,356.6570);
	}
	else if(interiorid == 35)
	{
	    SetPlayerInterior(playerid,111);
	    SetPlayerPos(playerid,102.6533,86.5670,196.7031);
	    SetPlayerFacingAngle(playerid,359.4771);
	}
	else if(interiorid == 36)
	{
	    SetPlayerInterior(playerid,112);
	    SetPlayerPos(playerid,98.7225,109.6781,197.8214);
	    SetPlayerFacingAngle(playerid,182.8022);
	}
	else if(interiorid == 37)
	{
	    SetPlayerInterior(playerid,113);
	    SetPlayerPos(playerid,99.9912,91.8216,199.1953);
	    SetPlayerFacingAngle(playerid,356.0772);
	}
	else if(interiorid == 38)
	{
	    SetPlayerInterior(playerid,114);
	    SetPlayerPos(playerid,103.0633,94.2993,199.2656);
	    SetPlayerFacingAngle(playerid,83.8348);
	}
	else if(interiorid == 39)//Не рабочий
	{
	    SetPlayerInterior(playerid,115);
	    SetPlayerPos(playerid,260.6850,1237.5959,1084.2578);
	    SetPlayerFacingAngle(playerid,349.7164);
	}
	else if(interiorid == 40)
	{
	    SetPlayerInterior(playerid,116);
	    SetPlayerPos(playerid,98.9934,91.0892,199.2351);
	    SetPlayerFacingAngle(playerid,1.3526);
	}
	else if(interiorid == 41)
	{
	    SetPlayerInterior(playerid,117);
	    SetPlayerPos(playerid,98.9390,90.0368,199.5313);
	    SetPlayerFacingAngle(playerid,0.1226);
	}
	else if(interiorid == 42)
	{
	    SetPlayerInterior(playerid,118);
	    SetPlayerPos(playerid,109.3487,96.8932,199.4844);
	    SetPlayerFacingAngle(playerid,92.7485);
	}
	else if(interiorid == 43)
	{
	    SetPlayerInterior(playerid,119);
	    SetPlayerPos(playerid,108.7035,107.4051,199.4059);
	    SetPlayerFacingAngle(playerid,89.6151);
	}
	else if(interiorid == 44)
	{
	    SetPlayerInterior(playerid,120);
	    SetPlayerPos(playerid,103.0394,94.9384,201.0078);
	    SetPlayerFacingAngle(playerid,1.8809);
	}
	else if(interiorid == 45)
	{
	    SetPlayerInterior(playerid,121);
	    SetPlayerPos(playerid,83.5271,93.2593,199.3750);
	    SetPlayerFacingAngle(playerid,354.3700);
	}
	else if(interiorid == 46)
	{
	    SetPlayerInterior(playerid,122);
	    SetPlayerPos(playerid,104.3752,104.1811,199.2188);
	    SetPlayerFacingAngle(playerid,102.4710);
	}
	else if(interiorid == 47)
	{
	    SetPlayerInterior(playerid,123);
	    SetPlayerPos(playerid,104.6026,98.2819,199.0073);
	    SetPlayerFacingAngle(playerid,92.1309);
	}
	else if(interiorid == 48)
	{
	    SetPlayerInterior(playerid,124);
	    SetPlayerPos(playerid,96.7157,91.0210,194.5000);
	    SetPlayerFacingAngle(playerid,0.9735);
	}
	else if(interiorid == 49)
	{
	    SetPlayerInterior(playerid,125);
	    SetPlayerPos(playerid,97.2519,91.6240,197.0615);
	    SetPlayerFacingAngle(playerid,358.4668);
	}
	else if(interiorid == 50)
	{
	    SetPlayerInterior(playerid,126);
	    SetPlayerPos(playerid,99.9544,108.1927,199.7500);
	    SetPlayerFacingAngle(playerid,0.2019);
	}
	else if(interiorid == 51)
	{
	    SetPlayerInterior(playerid,127);
	    SetPlayerPos(playerid,100.2408,100.0931,199.0000);
	    SetPlayerFacingAngle(playerid,93.4312);
	}
	else if(interiorid == 52)
	{
	    SetPlayerInterior(playerid,128);
	    SetPlayerPos(playerid,100.8736,100.2769,199.1250);
	    SetPlayerFacingAngle(playerid,0.3937);
	}
	else if(interiorid == 53)
	{
	    SetPlayerInterior(playerid,129);
	    SetPlayerPos(playerid,108.4220,92.7676,194.5000);
	    SetPlayerFacingAngle(playerid,85.9343);
	}
	else if(interiorid == 54)
	{
	    SetPlayerInterior(playerid,130);
	    SetPlayerPos(playerid,103.3600,107.3253,199.0000);
	    SetPlayerFacingAngle(playerid,92.5144);
	}
	else if(interiorid == 55)
	{
	    SetPlayerInterior(playerid,131);
	    SetPlayerPos(playerid,97.7103,100.8397,199.0000);
	    SetPlayerFacingAngle(playerid,272.0795);
	}
	else if(interiorid == 56)
	{
	    SetPlayerInterior(playerid,132);
	    SetPlayerPos(playerid,96.7537,99.2769,199.0000);
	    SetPlayerFacingAngle(playerid,277.5512);
	}
	else if(interiorid == 57)
	{
	    SetPlayerInterior(playerid,133);
	    SetPlayerPos(playerid,97.9762,100.0432,199.7575);
	    SetPlayerFacingAngle(playerid,89.0910);
	}
	else if(interiorid == 58)
	{
	    SetPlayerInterior(playerid,134);
	    SetPlayerPos(playerid,96.2124,91.2678,197.0694);
	    SetPlayerFacingAngle(playerid,3.2603);
	}
	else if(interiorid == 59)
	{
	    SetPlayerInterior(playerid,135);
	    SetPlayerPos(playerid,105.9930,98.0533,201.0000);
	    SetPlayerFacingAngle(playerid,92.2244);
	}
	else if(interiorid == 60)
	{
	    SetPlayerInterior(playerid,136);
	    SetPlayerPos(playerid,97.5185,102.5553,199.0073);
	    SetPlayerFacingAngle(playerid,182.1753);
	}
	else if(interiorid == 61)
	{
	    SetPlayerInterior(playerid,137);
	    SetPlayerPos(playerid,102.2155,111.4793,199.7500);
	    SetPlayerFacingAngle(playerid,93.1877);
	}
	else if(interiorid == 62)
	{
	    SetPlayerInterior(playerid,138);
	    SetPlayerPos(playerid,104.4686,102.4698,199.00004);
	    SetPlayerFacingAngle(playerid,87.2577);
	}
	return 1;
}
stock GetPlayerHouseInterior(playerid)
{
	new Float:x,Float:y,Float:z, result = -1;
	GetPlayerPos(playerid,x,y,z);
	new interior = GetPlayerInterior(playerid);
	if(IsPlayerInRangeOfPoint(playerid,5,2468.3701,-1698.1267,1013.5078))//Сюда подставь координаты для 0 интерьера, которые ты записал выше
	result = 0;
	else if(IsPlayerInRangeOfPoint(playerid,5,2495.9368,-1692.6628,1014.7422))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 1;
	else if(IsPlayerInRangeOfPoint(playerid,5,2233.8728,-1114.5892,1050.8828))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 2;
 	else if(IsPlayerInRangeOfPoint(playerid,5,2196.2932,-1204.2164,1049.0234))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 3;
	else if(IsPlayerInRangeOfPoint(playerid,5,2318.0532,-1026.1620,1050.2109))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 4;
	else if(IsPlayerInRangeOfPoint(playerid,5,2259.8894,-1135.5386,1050.6328))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 5;
	else if(IsPlayerInRangeOfPoint(playerid,5,2365.0913,-1134.9622,1050.8750))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 6;
	else if(IsPlayerInRangeOfPoint(playerid,5,2283.4558,-1139.5868,1050.8984))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 7;
	else if(IsPlayerInRangeOfPoint(playerid,5,2217.5801,-1075.7186,1050.4844))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 8;
	else if(IsPlayerInRangeOfPoint(playerid,5,244.2633,305.1776,999.1484))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 9;
 	else if(IsPlayerInRangeOfPoint(playerid,5,267.0089,304.9504,999.1484))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 10;
 	else if(IsPlayerInRangeOfPoint(playerid,5,235.4259,1187.1754,1080.2578))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 11;
 	else if(IsPlayerInRangeOfPoint(playerid,5,226.3336,1240.0363,1082.1406))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 12;
 	else if(IsPlayerInRangeOfPoint(playerid,5,223.3103,1287.3929,1082.1406))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 13;
 	else if(IsPlayerInRangeOfPoint(playerid,5,226.7142,1114.3087,1080.9951))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 14;
	else if(IsPlayerInRangeOfPoint(playerid,5,295.5774,1472.6558,1080.2578))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 15;
	else if(IsPlayerInRangeOfPoint(playerid,5,260.8918,1284.7347,1080.2578))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 16;
	else if(IsPlayerInRangeOfPoint(playerid,5,24.3465,1340.5371,1084.3750))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 17;
	else if(IsPlayerInRangeOfPoint(playerid,5,-260.9048,1456.7821,1084.3672))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 18;
	else if(IsPlayerInRangeOfPoint(playerid,5,140.3034,1366.3802,1083.8594))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 19;
	else if(IsPlayerInRangeOfPoint(playerid,5,-69.0937,1351.6519,1080.2109))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 20;
	else if(IsPlayerInRangeOfPoint(playerid,5,-284.1492,1470.7615,1084.3750))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 21;
	else if(IsPlayerInRangeOfPoint(playerid,5,-42.6183,1405.8876,1084.4297))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 22;
	else if(IsPlayerInRangeOfPoint(playerid,5,83.1937,1322.6996,1083.8662))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 23;
	else if(IsPlayerInRangeOfPoint(playerid,5,260.6850,1237.5959,1084.2578))//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 24;
	//Интерьеры-объекты без объектов, у каждого из них интерьер > 100
	else if(IsPlayerInRangeOfPoint(playerid,5.0,92.5492,114.6084,197.2188) && interior == 101)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 25;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,101.9485,107.1089,201.0078) && interior == 102)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 26;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,98.7605,99.8216,199.1470) && interior == 103)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 27;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,105.8511,101.7744,196.3750) && interior == 104)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 28;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 105)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 29;//пустой
	else if(IsPlayerInRangeOfPoint(playerid,5.0,103.1474,93.3198,199.4297) && interior == 106)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 30;
	
	else if(IsPlayerInRangeOfPoint(playerid,5.0,105.1231,93.8668,199.2031) && interior == 107)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 31;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0235,96.7729,199.5000) && interior == 108)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 32;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,99.6681,89.3366,198.9410) && interior == 109)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 33;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,102.5989,86.9171,196.7031) && interior == 110)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 34;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,102.6533,86.5670,196.7031) && interior == 111)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 35;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,98.7225,109.6781,197.8214) && interior == 112)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 36;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,99.9912,91.8216,199.1953) && interior == 113)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 37;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,103.0633,94.2993,199.2656) && interior == 114)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 38;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,98.9934,91.0892,199.2351) && interior == 115)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 39;//Пустой
	else if(IsPlayerInRangeOfPoint(playerid,5.0,98.9934,91.0892,199.2351) && interior == 116)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 40;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,98.9390,90.0368,199.5313) && interior == 117)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 41;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,109.3487,96.8932,199.4844) && interior == 118)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 42;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,108.7035,107.4051,199.4059) && interior == 119)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 43;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,103.0394,94.9384,201.0078) && interior == 120)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 44;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,83.5271,93.2593,199.3750) && interior == 121)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 45;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,104.3752,104.1811,199.2188) && interior == 122)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 46;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,104.6026,98.2819,199.0073) && interior == 123)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 47;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,96.7157,91.0210,194.5000) && interior == 124)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 48;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,97.2519,91.6240,197.0615) && interior == 125)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 49;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,99.9544,108.1927,199.7500) && interior == 126)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 50;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.2408,100.0931,199.0000) && interior == 127)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 51;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.8736,100.2769,199.1250) && interior == 128)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 52;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,108.4220,92.7676,194.5000) && interior == 129)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 53;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,103.3600,107.3253,199.0000) && interior == 130)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 54;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,97.7103,100.8397,199.0000) && interior == 131)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 55;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,96.7537,99.2769,199.0000) && interior == 132)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 56;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,97.9762,100.0432,199.7575) && interior == 133)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 57;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,96.2124,91.2678,197.0694) && interior == 134)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 58;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,105.9930,98.0533,201.0000) && interior == 135)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 59;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,97.5185,102.5553,199.0073) && interior == 136)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 60;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,102.2155,111.4793,199.7500) && interior == 137)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 61;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,104.4686,102.4698,199.0000) && interior == 138)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 62;


	return result;
}
stock GetPlayerHouse(playerid)
{
	new Float:x,Float:y,Float:z, result = -1;
	GetPlayerPos(playerid,x,y,z);//Будем узнавать координаты и интерьер игрока
	new interior = GetPlayerInterior(playerid);
	if(IsPlayerInRangeOfPoint(playerid,100,2468.3701,-1698.1267,1013.5078) && interior == 2)//Сюда подставь координаты для 0 интерьера, которые ты записал выше
	result = 0;
	else if(IsPlayerInRangeOfPoint(playerid,100,2495.9368,-1692.6628,1014.7422) && interior == 3)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 1;
	else if(IsPlayerInRangeOfPoint(playerid,100,2233.8728,-1114.5892,1050.8828) && interior == 5)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 2;
 	else if(IsPlayerInRangeOfPoint(playerid,100,2196.2932,-1204.2164,1049.0234) && interior == 6)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 3;
	else if(IsPlayerInRangeOfPoint(playerid,100,2318.0532,-1026.1620,1050.2109) && interior == 9)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 4;
	else if(IsPlayerInRangeOfPoint(playerid,100,2259.8894,-1135.5386,1050.6328) && interior == 10)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 5;
	else if(IsPlayerInRangeOfPoint(playerid,100,2365.0913,-1134.9622,1050.8750) && interior == 8)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 6;
	else if(IsPlayerInRangeOfPoint(playerid,100,2283.4558,-1139.5868,1050.8984) && interior == 11)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 7;
	else if(IsPlayerInRangeOfPoint(playerid,100,2217.5801,-1075.7186,1050.4844) && interior == 1)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 8;
	else if(IsPlayerInRangeOfPoint(playerid,100,244.2633,305.1776,999.1484) && interior == 1)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 9;
 	else if(IsPlayerInRangeOfPoint(playerid,100,267.0089,304.9504,999.1484) && interior == 2)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 10;
 	else if(IsPlayerInRangeOfPoint(playerid,100,235.4259,1187.1754,1080.2578) && interior == 3)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 11;
 	else if(IsPlayerInRangeOfPoint(playerid,100,226.3336,1240.0363,1082.1406) && interior == 2)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 12;
 	else if(IsPlayerInRangeOfPoint(playerid,100,223.3103,1287.3929,1082.1406) && interior == 1)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 13;
 	else if(IsPlayerInRangeOfPoint(playerid,100,226.7142,1114.3087,1080.9951) && interior == 5)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 14;
	else if(IsPlayerInRangeOfPoint(playerid,100,295.5774,1472.6558,1080.2578) && interior == 15)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 15;
	else if(IsPlayerInRangeOfPoint(playerid,100,260.8918,1284.7347,1080.2578) && interior == 4)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 16;
	else if(IsPlayerInRangeOfPoint(playerid,100,24.3465,1340.5371,1084.3750) && interior == 10)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 17;
	else if(IsPlayerInRangeOfPoint(playerid,100,-260.9048,1456.7821,1084.3672) && interior == 4)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 18;
	else if(IsPlayerInRangeOfPoint(playerid,100,140.3034,1366.3802,1083.8594) && interior == 5)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 19;
	else if(IsPlayerInRangeOfPoint(playerid,100,-69.0937,1351.6519,1080.2109) && interior == 6)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 20;
	else if(IsPlayerInRangeOfPoint(playerid,100,-284.1492,1470.7615,1084.3750) && interior == 15)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 21;
	else if(IsPlayerInRangeOfPoint(playerid,100,-42.6183,1405.8876,1084.4297) && interior == 8)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 22;
	else if(IsPlayerInRangeOfPoint(playerid,100,83.1937,1322.6996,1083.8662) && interior == 9)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 23;
	else if(IsPlayerInRangeOfPoint(playerid,100,260.6850,1237.5959,1084.2578) && interior == 9)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 24;
	//Интерьеры-объекты без объектов, у каждого из них интерьер > 100
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 101)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 25;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 102)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 26;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 103)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 27;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 104)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 28;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 105)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 29;//Не рабочий
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 106)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 30;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 107)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 31;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 108)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 32;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 109)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 33;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 110)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 34;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 111)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 35;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 112)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 36;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 113)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 37;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 114)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 38;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 115)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 39;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 116)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 40;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 117)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 41;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 118)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 42;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 119)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 43;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 120)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 44;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 121)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 45;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 122)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 46;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 123)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 47;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 124)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 48;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 125)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 49;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 126)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 50;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 127)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 51;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 128)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 52;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 129)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 53;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 130)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 54;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 131)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 55;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 132)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 56;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 133)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 57;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 134)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 58;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 135)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 59;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 136)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 60;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 137)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 61;
	else if(IsPlayerInRangeOfPoint(playerid,5.0,100.0,100.0,1000.0) && interior == 138)//Сюда подставь координаты для 1 интерьера, которые ты записал выше
	result = 62;
	return result;
}
public LoadHouses()//Загружает все дома
{
    new filename[128];
    print("Дома:");
    for(new id = 0; id < HousesToLoad; id++)
	{
		format(filename, sizeof(filename), "houses/ID%d.ini",id);
		new File: StuffFile = fopen(filename, io_read);
		if (StuffFile)
		{
		    new PassData[256];
		    new keytmp[256];
		    fread( StuffFile , PassData , sizeof( PassData ) );
		    keytmp = ini_GetKey( PassData );
		    new key[ 256 ] , val[ 256 ];
		    new Data[ 256 ];
		    while ( fread( StuffFile , Data , sizeof( Data ) ) )
			{
				key = ini_GetKey( Data );
				if( strcmp( key , "IgnoreThisLine" , true ) == 0 ) { val = ini_GetValue( Data );}
				if( strcmp( key , "Name" , true ) == 0 ) { val = ini_GetValue( Data );  strmid(HouseInfo[id][hName],val,0,strlen(val)-1,32); }
				if( strcmp( key , "Adress" , true ) == 0 ) { val = ini_GetValue( Data );  strmid(HouseInfo[id][hAdress],val,0,strlen(val)-1,32); }
 				if( strcmp( key , "Owner" , true ) == 0 ) { val = ini_GetValue( Data );  strmid(HouseInfo[id][hOwner],val,0,strlen(val)-1,MAX_PLAYER_NAME); }
				if( strcmp( key , "Price" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hPrice] = strval( val ); }
				if( strcmp( key , "VirtWorld" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hVirtWorld] = strval( val ); }
               	if( strcmp( key , "OutPos_x" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hOutPos_x] = floatstr( val ); }
               	if( strcmp( key , "OutPos_y" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hOutPos_y] = floatstr( val ); }
				if( strcmp( key , "OutPos_z" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hOutPos_z] = floatstr( val ); }
				if( strcmp( key , "OutAngle" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hOutAngle] = floatstr( val ); }
				if( strcmp( key , "HouseInt" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hHouseInterior] = strval( val ); }
				if( strcmp( key , "Locked" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hLocked] = strval( val ); }
				if( strcmp( key , "Rent" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hRentOn] = strval( val ); }
				if( strcmp( key , "Money" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hMoney] = strval( val ); }
				if( strcmp( key , "Camera" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hCamera] = strval( val ); }
                if( strcmp( key , "CameraPos_x" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hCameraPos_x] = floatstr( val ); }
				if( strcmp( key , "CameraPos_y" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hCameraPos_y] = floatstr( val ); }
				if( strcmp( key , "CameraPos_z" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hCameraPos_z] = floatstr( val ); }
				if( strcmp( key , "MailBox_x" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hMailBox_x] = floatstr( val ); }
				if( strcmp( key , "MailBox_y" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hMailBox_y] = floatstr( val ); }
				if( strcmp( key , "MailBox_z" , true ) == 0 ) { val = ini_GetValue( Data ); HouseInfo[id][hMailBox_z] = floatstr( val ); }
				for(new i = 0; i < MAX_MAILBOX_LETTERS; i++)
				{
				    new temp[32];
				    format(temp,sizeof(temp),"Letter%d",i+1);
				    if(!strcmp(key,temp,true))
					{
						val = ini_GetValue(Data);
						HouseNewLetters[id][i] = strval(val);
					}
				}
				for(new i = 0; i < MAX_HOUSE_LETTERS; i++)
				{
				    new temp[32];
				    format(temp,sizeof(temp),"Letter%d",i+1);
				    if(!strcmp(key,temp,true)) { val = ini_GetValue( Data ); HouseOldLetters[id][i] = strval( val ); }
				}
				for(new i = 0; i < 5; i++)//Информация об аренде
				{
				    new temp[32];
				    format(temp,sizeof(temp),"RentName%d",i+1);
				    if( strcmp( key , temp , true ) == 0 ) { val = ini_GetValue( Data );  strmid(HouseRentNameInfo[id][i],val,0,strlen(val)-1,MAX_PLAYER_NAME); continue; }
                    format(temp,sizeof(temp),"RentPhone%d",i+1);
					if( strcmp( key , temp , true ) == 0 ) { val = ini_GetValue( Data ); HouseRentMobileInfo[id][i] = strval( val ); }
				}
			 }
			format(key,sizeof(key),"Название: %s, Адрес: %s, Владелец: %s",HouseInfo[id][hName],HouseInfo[id][hAdress],HouseInfo[id][hOwner]);
			print(key);
	        fclose(StuffFile);
		}
		new arrCoords[7][64];
	    new strFromFile2[256];
	    format(filename, sizeof(filename), "houses/objects/ID%d.ini",id);
	    StuffFile = fopen(filename, io_read);
	    new mid,Float:x,Float:y,Float:z,Float:rx,Float:ry,Float:rz;
		if (StuffFile)
		{
			for(new i = 0; i < MaxHouseObjects; i++)
			{
				fread(StuffFile, strFromFile2);
				split(strFromFile2, arrCoords, ',');
		    	mid = strval(arrCoords[0]);
		    	x = floatstr(arrCoords[1]);
		    	y = floatstr(arrCoords[2]);
		    	z = floatstr(arrCoords[3]);
		    	rx = floatstr(arrCoords[4]);
	         	ry = floatstr(arrCoords[5]);
		    	rz = floatstr(arrCoords[6]);
		    	if(!strlen(strFromFile2))
		    	break;
		    	else
		    	{
		    	    HouseObjects[id][i] = CreateDynamicObject(mid,x,y,z,rx,ry,rz,HouseInfo[id][hVirtWorld],-1,-1,200);
		    		HouseObjectsID[id][i] = mid;
		    	}
			}
			fclose(StuffFile);
		}
	}
	return 1;
}
public SaveHouse(houseid)
{
	new filename[128];
	if(houseid == -1)//Сохранить все дома
	{
		for(new id = 0; id < HousesToLoad; id++)
		{
			format(filename,sizeof(filename),"houses/ID%d.ini",id);
			new File: hFile = fopen(filename, io_write);
			if(hFile)
			{
				new var[32];
				format(var, 32, "IgnoreThisLine\n");fwrite(hFile, var);
				format(var, 32, "Name=%s\n", HouseInfo[id][hName]);fwrite(hFile, var);
				format(var, 32, "Adress=%s\n", HouseInfo[id][hAdress]);fwrite(hFile, var);
				format(var, 32, "Owner=%s\n", HouseInfo[id][hOwner]);fwrite(hFile, var);
	  			format(var, 32, "Price=%d\n", HouseInfo[id][hPrice]);fwrite(hFile, var);
				format(var, 32, "VirtWorld=%d\n", HouseInfo[id][hVirtWorld]);fwrite(hFile, var);
				format(var, 32, "OutPos_x=%f\n", HouseInfo[id][hOutPos_x]);fwrite(hFile, var);
				format(var, 32, "OutPos_y=%f\n", HouseInfo[id][hOutPos_y]);fwrite(hFile, var);
				format(var, 32, "OutPos_z=%f\n", HouseInfo[id][hOutPos_z]);fwrite(hFile, var);
				format(var, 32, "OutAngle=%f\n", HouseInfo[id][hOutAngle]);fwrite(hFile, var);
				format(var, 32, "HouseInt=%d\n", HouseInfo[id][hHouseInterior]);fwrite(hFile, var);
				format(var, 32, "Locked=%d\n", HouseInfo[id][hLocked]);fwrite(hFile, var);
				format(var, 32, "Rent=%d\n", HouseInfo[id][hRentOn]);fwrite(hFile, var);
				format(var, 32, "Money=%d\n", HouseInfo[id][hMoney]);fwrite(hFile, var);
				format(var, 32, "Camera=%d\n", HouseInfo[id][hCamera]);fwrite(hFile, var);
	 			format(var, 32, "CameraPos_x=%f\n", HouseInfo[id][hCameraPos_x]);fwrite(hFile, var);
				format(var, 32, "CameraPos_y=%f\n", HouseInfo[id][hCameraPos_y]);fwrite(hFile, var);
				format(var, 32, "CameraPos_z=%f\n", HouseInfo[id][hCameraPos_z]);fwrite(hFile, var);
				format(var, 32, "MailBox_x=%f\n", HouseInfo[id][hMailBox_x]);fwrite(hFile, var);
				format(var, 32, "MailBox_y=%f\n", HouseInfo[id][hMailBox_y]);fwrite(hFile, var);
				format(var, 32, "MailBox_z=%f\n", HouseInfo[id][hMailBox_z]);fwrite(hFile, var);
				for(new i = 0; i < MAX_MAILBOX_LETTERS; i++)
				{
				   format(var, 32, "Letter%d=%d\n",i+1,HouseNewLetters[id][i]);fwrite(hFile, var);
				}
				for(new i = 0; i < MAX_HOUSE_LETTERS; i++)
				{
				   format(var, 32, "Letter%d=%d\n",i+1,HouseOldLetters[id][i]);fwrite(hFile, var);
				}
				for(new i = 0; i < 5; i++)
				{
				   format(var, 32, "RentName%d=%s\n",i+1,HouseRentNameInfo[id][i]);fwrite(hFile, var);
				   format(var, 32, "RentMobile%d=%d\n",i+1,HouseRentMobileInfo[id][i]);fwrite(hFile, var);
				}
				fclose(hFile);
			}
			format(filename,sizeof(filename),"houses/objects/ID%d.ini",id);
			hFile = fopen(filename, io_write);
			if(hFile)
			{
				for(new i = 0; i < MaxHouseObjects; i++)
				{
				    if(HouseObjects[id][i] != 0)
				    {
				        new Float:x,Float:y,Float:z,Float:rx,Float:ry,Float:rz;
				        GetDynamicObjectPos(HouseObjects[id][i],x,y,z);
				        GetDynamicObjectRot(HouseObjects[id][i],rx,ry,rz);
						new coordsstring[256];
						format(coordsstring, sizeof(coordsstring), "%d,%f,%f,%f,%f,%f,%f\n",HouseObjectsID[id][i],x,y,z,rx,ry,rz);
						fwrite(hFile, coordsstring);
					}
				}
				fclose(hFile);
			}
		}
	}
	else
	{
     	format(filename,sizeof(filename),"houses/ID%d.ini",houseid);
		new File: hFile = fopen(filename, io_write);
		if(hFile)
		{
			new var[32];
			format(var, 32, "IgnoreThisLine\n");fwrite(hFile, var);
			format(var, 32, "Name=%s\n", HouseInfo[houseid][hName]);fwrite(hFile, var);
			format(var, 32, "Adress=%s\n", HouseInfo[houseid][hAdress]);fwrite(hFile, var);
			format(var, 32, "Owner=%s\n", HouseInfo[houseid][hOwner]);fwrite(hFile, var);
	 		format(var, 32, "Price=%d\n", HouseInfo[houseid][hPrice]);fwrite(hFile, var);
			format(var, 32, "VirtWorld=%d\n", HouseInfo[houseid][hVirtWorld]);fwrite(hFile, var);
			format(var, 32, "OutPos_x=%f\n", HouseInfo[houseid][hOutPos_x]);fwrite(hFile, var);
			format(var, 32, "OutPos_y=%f\n", HouseInfo[houseid][hOutPos_y]);fwrite(hFile, var);
			format(var, 32, "OutPos_z=%f\n", HouseInfo[houseid][hOutPos_z]);fwrite(hFile, var);
			format(var, 32, "OutAngle=%f\n", HouseInfo[houseid][hOutAngle]);fwrite(hFile, var);
			format(var, 32, "HouseInt=%d\n", HouseInfo[houseid][hHouseInterior]);fwrite(hFile, var);
			format(var, 32, "Locked=%d\n", HouseInfo[houseid][hLocked]);fwrite(hFile, var);
			format(var, 32, "Money=%d\n", HouseInfo[houseid][hMoney]);fwrite(hFile, var);
			format(var, 32, "Rent=%d\n", HouseInfo[houseid][hRentOn]);fwrite(hFile, var);
			format(var, 32, "Camera=%d\n", HouseInfo[houseid][hCamera]);fwrite(hFile, var);
			format(var, 32, "CameraPos_x=%f\n", HouseInfo[houseid][hCameraPos_x]);fwrite(hFile, var);
			format(var, 32, "CameraPos_y=%f\n", HouseInfo[houseid][hCameraPos_y]);fwrite(hFile, var);
			format(var, 32, "CameraPos_z=%f\n", HouseInfo[houseid][hCameraPos_z]);fwrite(hFile, var);
			format(var, 32, "MailBox_x=%f\n", HouseInfo[houseid][hMailBox_x]);fwrite(hFile, var);
			format(var, 32, "MailBox_y=%f\n", HouseInfo[houseid][hMailBox_y]);fwrite(hFile, var);
			format(var, 32, "MailBox_z=%f\n", HouseInfo[houseid][hMailBox_z]);fwrite(hFile, var);
			for(new i = 0; i < MAX_MAILBOX_LETTERS; i++)
			{
			   format(var, 32, "Letter%d=%d\n",i+1,HouseNewLetters[houseid][i]);fwrite(hFile, var);
			}
			for(new i = 0; i < MAX_HOUSE_LETTERS; i++)
			{
			   format(var, 32, "Letter%d=%d\n",i+1,HouseOldLetters[houseid][i]);fwrite(hFile, var);
			}
			for(new i = 0; i < 5; i++)
			{
			   format(var, 32, "RentName%d=%s\n",i+1,HouseRentNameInfo[houseid][i]);fwrite(hFile, var);
			   format(var, 32, "RentMobile%d=%d\n",i+1,HouseRentMobileInfo[houseid][i]);fwrite(hFile, var);
			}
			fclose(hFile);
		}
		format(filename,sizeof(filename),"houses/objects/ID%d.ini",houseid);
		hFile = fopen(filename, io_write);
		if(hFile)
		{
			for(new i = 0; i < MaxHouseObjects; i++)
			{
			    if(HouseObjects[houseid][i] != 0)
			    {
			        new Float:x,Float:y,Float:z,Float:rx,Float:ry,Float:rz;
			        GetDynamicObjectPos(HouseObjects[houseid][i],x,y,z);
			        GetDynamicObjectRot(HouseObjects[houseid][i],rx,ry,rz);
					new coordsstring[256];
					format(coordsstring, sizeof(coordsstring), "%d,%f,%f,%f,%f,%f,%f\n",HouseObjectsID[houseid][i],x,y,z,rx,ry,rz);
					fwrite(hFile, coordsstring);
				}
			}
			fclose(hFile);
		}
	}
	return 1;
}
public LoadHotels()//Загружает все отели
{
    new filename[128];
    print("Отели:");
    for(new id = 0; id < HotelsToLoad; id++)
	{
		format(filename, sizeof(filename), "hotels/ID%d.ini",id);
		new File: StuffFile = fopen(filename, io_read);
		if (StuffFile)
		{
		    new PassData[256];
		    new keytmp[256];
		    fread( StuffFile , PassData , sizeof( PassData ) );
		    keytmp = ini_GetKey( PassData );
		    new key[ 256 ] , val[ 256 ];
		    new Data[ 256 ];
		    while ( fread( StuffFile , Data , sizeof( Data ) ) )
			{
				key = ini_GetKey( Data );
				if( strcmp( key , "IgnoreThisLine" , true ) == 0 ) { val = ini_GetValue( Data );}
				if( strcmp( key , "Name" , true ) == 0 ) { val = ini_GetValue( Data );  strmid(HotelInfo[id][hoName],val,0,strlen(val)-1,32); }
				if( strcmp( key , "Adress" , true ) == 0 ) { val = ini_GetValue( Data );  strmid(HotelInfo[id][hoAdress],val,0,strlen(val)-1,32); }
 				if( strcmp( key , "Owner" , true ) == 0 ) { val = ini_GetValue( Data );  strmid(HotelInfo[id][hoOwner],val,0,strlen(val)-1,MAX_PLAYER_NAME); }
				if( strcmp( key , "Price" , true ) == 0 ) { val = ini_GetValue( Data ); HotelInfo[id][hoPrice] = strval( val ); }
				if( strcmp( key , "VirtWorld" , true ) == 0 ) { val = ini_GetValue( Data ); HotelInfo[id][hoVirtWorld] = strval( val ); }
               	if( strcmp( key , "OutPos_x" , true ) == 0 ) { val = ini_GetValue( Data ); HotelInfo[id][hoOutPos_x] = floatstr( val ); }
               	if( strcmp( key , "OutPos_y" , true ) == 0 ) { val = ini_GetValue( Data ); HotelInfo[id][hoOutPos_y] = floatstr( val ); }
				if( strcmp( key , "OutPos_z" , true ) == 0 ) { val = ini_GetValue( Data ); HotelInfo[id][hoOutPos_z] = floatstr( val ); }
				if( strcmp( key , "OutAngle" , true ) == 0 ) { val = ini_GetValue( Data ); HotelInfo[id][hoOutAngle] = floatstr( val ); }
				if( strcmp( key , "OutVirtWorld" , true ) == 0 ) { val = ini_GetValue( Data ); HotelInfo[id][hoOutVirtWorld] = strval( val ); }
				if( strcmp( key , "OutInterior" , true ) == 0 ) { val = ini_GetValue( Data ); HotelInfo[id][hoOutInterior] = strval( val ); }
				if( strcmp( key , "HouseInt" , true ) == 0 ) { val = ini_GetValue( Data ); HotelInfo[id][hoHouseInterior] = strval( val ); }
				if( strcmp( key , "Locked" , true ) == 0 ) { val = ini_GetValue( Data ); HotelInfo[id][hoLocked] = strval( val ); }
			}
			format(key,sizeof(key),"Название: %s, Адрес: %s, Владелец: %s",HotelInfo[id][hoName],HotelInfo[id][hoAdress],HotelInfo[id][hoOwner]);
			print(key);
	        fclose(StuffFile);
		}
	}
	return 1;
}
public SaveHotel(hotelid)
{
	new filename[128];
	if(hotelid == -1)//Сохранить все отели
	{
		for(new id = 0; id < HotelsToLoad; id++)
		{
			format(filename,sizeof(filename),"hotels/ID%d.ini",id);
			new File: hFile = fopen(filename, io_write);
			if(hFile)
			{
				new var[32];
				format(var, 32, "IgnoreThisLine\n");fwrite(hFile, var);
				format(var, 32, "Name=%s\n", HotelInfo[id][hoName]);fwrite(hFile, var);
				format(var, 32, "Adress=%s\n", HotelInfo[id][hoAdress]);fwrite(hFile, var);
				format(var, 32, "Owner=%s\n", HotelInfo[id][hoOwner]);fwrite(hFile, var);
	  			format(var, 32, "Price=%d\n", HotelInfo[id][hoPrice]);fwrite(hFile, var);
				format(var, 32, "VirtWorld=%d\n", HotelInfo[id][hoVirtWorld]);fwrite(hFile, var);
				format(var, 32, "OutPos_x=%f\n", HotelInfo[id][hoOutPos_x]);fwrite(hFile, var);
				format(var, 32, "OutPos_y=%f\n", HotelInfo[id][hoOutPos_y]);fwrite(hFile, var);
				format(var, 32, "OutPos_z=%f\n", HotelInfo[id][hoOutPos_z]);fwrite(hFile, var);
				format(var, 32, "OutAngle=%f\n", HotelInfo[id][hoOutAngle]);fwrite(hFile, var);
				format(var, 32, "OutVirtWorld=%d\n", HotelInfo[id][hoOutVirtWorld]);fwrite(hFile, var);
				format(var, 32, "OutInterior=%d\n", HotelInfo[id][hoOutInterior]);fwrite(hFile, var);
				format(var, 32, "HouseInt=%d\n", HotelInfo[id][hoHouseInterior]);fwrite(hFile, var);
				format(var, 32, "Locked=%d\n", HotelInfo[id][hoLocked]);fwrite(hFile, var);
				fclose(hFile);
			}
		}
	}
	else
	{
     	format(filename,sizeof(filename),"hotels/ID%d.ini",hotelid);
		new File: hFile = fopen(filename, io_write);
		if(hFile)
		{
			new var[32];
			format(var, 32, "IgnoreThisLine\n");fwrite(hFile, var);
			format(var, 32, "Name=%s\n", HotelInfo[hotelid][hoName]);fwrite(hFile, var);
			format(var, 32, "Adress=%s\n", HotelInfo[hotelid][hoAdress]);fwrite(hFile, var);
			format(var, 32, "Owner=%s\n", HotelInfo[hotelid][hoOwner]);fwrite(hFile, var);
	 		format(var, 32, "Price=%d\n", HotelInfo[hotelid][hoPrice]);fwrite(hFile, var);
			format(var, 32, "VirtWorld=%d\n", HotelInfo[hotelid][hoVirtWorld]);fwrite(hFile, var);
			format(var, 32, "OutPos_x=%f\n", HotelInfo[hotelid][hoOutPos_x]);fwrite(hFile, var);
			format(var, 32, "OutPos_y=%f\n", HotelInfo[hotelid][hoOutPos_y]);fwrite(hFile, var);
			format(var, 32, "OutPos_z=%f\n", HotelInfo[hotelid][hoOutPos_z]);fwrite(hFile, var);
			format(var, 32, "OutAngle=%f\n", HotelInfo[hotelid][hoOutAngle]);fwrite(hFile, var);
			format(var, 32, "OutVirtWorld=%d\n", HotelInfo[hotelid][hoOutVirtWorld]);fwrite(hFile, var);
			format(var, 32, "OutInterior=%d\n", HotelInfo[hotelid][hoOutInterior]);fwrite(hFile, var);
			format(var, 32, "HouseInt=%d\n", HotelInfo[hotelid][hoHouseInterior]);fwrite(hFile, var);
			format(var, 32, "Locked=%d\n", HotelInfo[hotelid][hoLocked]);fwrite(hFile, var);
			fclose(hFile);
		}
	}
	return 1;
}
